AsterNet Class Library (Sandcastle documentation)

| ThreadPool Class

A fixed sized thread pool.
Inheritance Hierarchy
System
Object
AsterNET.Util
ThreadPool

Namespace: AsterNET.Util
Assembly: AsterNET (in AsterNET.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy

    public class ThreadPool

    Public Class ThreadPool

    public ref class ThreadPool

    type ThreadPool =  class end

The ThreadPool type exposes the following members.

Constructors

| Name | Description
--- | --- | ---
| ThreadPool | Creates a new ThreadPool of numThreads size. These Threads are waiting for jobs to be added via the addJob method.

Top
Methods

| Name | Description
--- | --- | ---
| AddJob | Adds a new job to the queue. This will be picked up by the next available active thread.
| Equals | Determines whether the specified Object is equal to the current Object. (Inherited from Object.)
| Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
| GetHashCode | Serves as a hash function for a particular type. (Inherited from Object.)
| GetType | Gets the Type of the current instance. (Inherited from Object.)
| MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
| Shutdown | Turn off the pool. Every thread, when finished with its current work, will realize that the pool is no longer running, and will exit.
| ToString | Returns a string that represents the current object. (Inherited from Object.)

Top
See Also

#### Reference

AsterNET.Util Namespace